Bug 472626 - Conflicts with tetex-perltex
Conflicts with tetex-perltex
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex-perltex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 21:07 EST by Michael Schwendt
Modified: 2009-12-18 11:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 11:00:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-21 21:07:46 EST
texlive-texmf-doc-2007-26.fc10.noarch
  File conflict with: tetex-bytefield-1.2a-4.fc10.noarch
     /usr/share/texmf/doc/latex/bytefield/bytefield.pdf
  File conflict with: tetex-perltex-1.7-1.fc10.noarch
     /usr/share/texmf/doc/latex/perltex/perltex.pdf

texlive-texmf-latex-2007-26.fc10.noarch
  File conflict with: tetex-bytefield-1.2a-4.fc10.noarch
     /usr/share/texmf/tex/latex/bytefield/bytefield.sty
  File conflict with: tetex-perltex-1.7-1.fc10.noarch
     /usr/share/texmf/tex/latex/perltex/perltex.sty
Comment 1 Bug Zapper 2008-11-26 00:46:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 John Guthrie 2009-01-08 00:50:45 EST
I'm trying to upgrade a machine that has the tetex-doc, tetex-perltex, and tetex-bytefield packages installed on it.  (I recently upgraded to F10 from F8.)  I'm now in the process of eliminating all of the conflicts that happen when I try to run "yum update".  I have been getting both of the above mentioned errors.  I should note that right now, in the pre-upgraded state, texlive-texmf-doc is not installed.

Digging a little deeper, one finds that the texlive-texmf-doc package obsoletes tetex-doc.  That would explain why yum is trying to install it when I try to upgrade.  However, the tetex-perltex package is not being obsoleted.  I'm wondering if tetex-perltex should be obsoleted by some texlive subpackage.  Or perhaps, even better, the perltex parts from texlive could be separated out into their own texlive subpackage, and that package could obsolete the tetex-perltex package.  Any thoughts?

I haven't been able to do a similar analysis for the tetex-bytefield, but would a similar re-packaging work there as well?
Comment 3 John Guthrie 2009-01-11 14:12:20 EST
Actually, what I wrote above regarding having some texlive subpackage obsolete tetex-perltex won't quite work.  It turns out that tetex-perltex is the only package that actually provides /usr/bin/perltex.  So obsoleting that package would be less than useful.  Of course, this begs the question of why texlive is including documentation for programs that aren't contained in it...
Comment 4 Bug Zapper 2009-11-18 03:56:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:55:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Michael Schwendt 2009-12-18 02:24:55 EST
http://fedorahosted.org/pipermail/autoqa-results/2009-December/002390.html

tetex-perltex-1.9-1.fc13.noarch
texlive-texmf-doc-2007-34.fc13.noarch
  /usr/share/texmf/doc/latex/perltex/perltex.pdf
Comment 7 Jindrich Novy 2009-12-18 03:23:51 EST
Note that texlive-texmf now ships newer perltex (2.0) than it is present in tetex-pertex (1.9). tetex-perltex should be removed from the repository. It is no more needed. Furthermore texlive-texmf-latex already obsoletes tetex-perltex. The recent conflict is caused only because of the fact that docs are shipped separatelly in -doc subpackage for all packages.
Comment 8 Michael Schwendt 2009-12-18 03:55:09 EST
This is how to retire a package:
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
Comment 9 Tom "spot" Callaway 2009-12-18 11:00:23 EST
Retired and dead.packaged, request to block from rawhide in trac. Closing.

Note You need to log in before you can comment on or make changes to this bug.